<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(trim($_REQUEST['accion'])!='new'){
	$codigo=$_REQUEST[codigo];
	$sql="SELECT * FROM pro_profesores where cod_profesor='$codigo'";
  
	$academia->instruccion($sql);	  
	$row=$academia->extraer_registro();
	$ideprofesor=$row['cod_profesor'];
	
	$codprofesor=$row['ide_profesor'];
	$idetipoiden=$row['ide_tipoiden'];
	$lugexpdoc=$row['lugexpdoc'];
	
	$lugnac=$row['lugnacimiento_pro'];
	
	$no1pro=$row['no1_pro'];
	$no2pro=$row['no2_pro'];
	$ap1pro=$row['ap1_pro'];
	$ap2pro=$row['ap2_pro'];
	$sexpro=$row['sex_pro'];
	$fecnac=$row['fec_nac'];
	
	$munide=$row['mun_ide'];
	
	$telpro=$row['tel_pro'];
	$celpro=$row['cel_pro'];
	$dirpro=$row['dir_pro'];
	$lugcorespondencia=$row['lugcorrespondencia'];
	$mailpro=$row['mail_pro'];
	
	$accion='edit';
		  
}else{
	$ideprofesor='';
	$sexpro='M';
	$accion='add';
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Asignaturas</title>

<script  type="text/javascript">
//---------------------------------------------------------------------------------------------------------------------
$(document).ready(function(){
	var newDt=null;
	$("#accion").click(function(){
		var tipo=$(this).attr('acc');
		if(tipo=='new'){
			<?php $ms='newexito' ?>
		}else{
			<?php $ms='editexito' ?>
		}
		
		newDt={
			ide_profesor:$("#txtcc").val(),
			nom_tipoiden:$("#txttip_ident option:selected").html(),
			nom_ape:$.trim($("#txtpape").val() + " "+$("#txtsape").val()+" " +" "+$("#txtpnom").val()+" "+$("#txtsnom").val()),
			dir_pro:$("#txtdirec").val(),
			cel_pro: $("#txtcel").val(),
			mail_pro:$("#txtemail").val(),
		};
		
		var conf={
			url:'mod_profesores/opera_profesores.php',
			data:$("#profesores_new_edit").serialize(),
			modulo:'profesores',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			recarga:false,
			msgExito:'<?php  echo $cleguaje->Phrase('global', $ms) ?>',
			msg_espere:'<?php  echo $cleguaje->Phrase('global', 'msg_espera') ?>',	
			id_grilla:'listado_profesores',
			evento:tipo,
			frm:"#profesores_new_edit",
			data_grid:newDt,		
		}
		acciones(conf);
	})
	
	
	$(this).bind('cbox_complete',function(){
		$("#txtpape").focus();
	})
	
	$("#txtcc").valida({
		rulers:3,
		mincar:6,
		lcapital:false
	});
	$("#txtemail").valida({
		mincar:10,
		tipo:'em',
		required:false
	});
	
	$("#txtdirec").valida({
		mincar:10,
		required:false
	});

	
	$("#txtpape, #txtpnom").valida({
		rulers:2,
		mincar:3,
	});
	
	$("#txtsape, #txtsnom").valida({
		rulers:2,
		mincar:3,
		required:false
	});
	
	$("#txttel, #txtcel").valida({
		lcapita:false,
		rulers:3,
		mincar:0
	})
	
	$("#txtfechanac").valida({
		lcapita:false,
		required:false,
		rulers:3,
		mincar:0,
		tipo:'f'
	});
//---------------------------------------------------------------------------------------------------------------------------	
	$("#txtfechanac").datepicker({
		changeMonth: true, // True if month can be selected directly, false if only prev/next
		changeYear: true,
		maxDate: "-18Y", 
		yearRange: 'c-5:c+5',
		onSelect:function(dateText, inst){
			$(this).addClass('campos').removeClass('campos_error');
		}
	});
	
	$("#txtpaisnac").valida_select({
		idcmp_bloc:['txtmpionac','txtpobnac'],
		idcmp_afec:'txtdptonac',
		data:{
			codigo:'a1',
			selec:'<?php echo empty($lugnac) ? $cleguaje->Phrase('default','dpto') : substr($lugnac,3,2) ?>'
		}
	})
	
	$("#txtdptonac").valida_select({
		idcmp_bloc:['txtpobnac'],
		idcmp_afec:'txtmpionac',
		data:{
			codigo:"a2",
			selec:'<?php echo empty($lugnac) ? $cleguaje->Phrase('default','mpio') : substr($lugnac,0,8) ?>'
		}
	})
	
	$("#txtmpionac").valida_select({
//		idcmp_bloc:['txtpob'],
		idcmp_afec:'txtpobnac',
		data:{
			codigo:"a3",
			selec:'<?php echo empty($lugnac) ? $cleguaje->Phrase('default','poblado') : $lugnac ?>'
		}
	});
	
	$("#txtpobnac").valida_select({});
//---------------------------------------------------------------------------------------------------------------------------	

$("#txtpaiscor").valida_select({
		idcmp_bloc:['txtmpiocor','txtpobcor'],
		idcmp_afec:'txtdptocor',
		data:{
			codigo:"a1",
			selec:'<?php echo empty($lugcorespondencia) ? $cleguaje->Phrase('default','dpto') : substr($lugcorespondencia,3,2) ?>'
		}
	})
	
	$("#txtdptocor").valida_select({
		idcmp_bloc:['txtpobcor'],
		idcmp_afec:'txtmpiocor',
		data:{
			codigo:"a2",
			selec:'<?php echo empty($lugcorespondencia) ? $cleguaje->Phrase('default','mpio') : substr($lugcorespondencia,0,8) ?>'
		}
	})
	
	$("#txtmpiocor").valida_select({
//		idcmp_bloc:['txtpob'],
		idcmp_afec:'txtpobcor',
		data:{
			codigo:"a3",
			selec:'<?php echo empty($lugcorespondencia) ? $cleguaje->Phrase('default','poblado') : $lugcorespondencia ?>'
		}
	});
	
	$("#txtpobcor").valida_select({});
//---------------------------------------------------------------------------------------------------------------------------	

	$("#txtpais").valida_select({
		idcmp_bloc:['txtmpio'],
		idcmp_afec:'txtdpto',
		data:{
			codigo:"a1",
			selec:'<?php echo empty($lugexpdoc) ? $cleguaje->Phrase('default','dpto') : substr($lugexpdoc,3,2) ?>'
		}
	})
	
	$("#txtdpto").valida_select({
		idcmp_afec:'txtmpio',
		data:{
			codigo:"a2",
			selec:'<?php echo empty($lugexpdoc) ? $cleguaje->Phrase('default','mpio') : $lugexpdoc ?>'
		}
	})
	
	$("#txtmpio").valida_select();

//----------------------------------------------------------------------------------------------

	$("#txttip_ident").addClass('campos_error').removeClass('campos');
	
	$("#txttip_ident").valida_select();
	
	
	

})

</script>

</head>

<body>
<form  method="post" name="profesores_new_edit" id="profesores_new_edit">
<input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
<input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
<table border="0" align="center" cellpadding="2">
  <tr class="ui-widget-header">
    <td colspan="5" align="center" ><?php echo $cleguaje->Phrase('global','dt_perso') ?></td>
    </tr>
  <tr>
    <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','pri_ape') ?></span>
      <div>
        <input name="txtpape" type="text" class="tit2" id="txtpape"  value="<?php echo $ap1pro ?>"/>
      </div></td>
    <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','seg_ape') ?></span>
      <div>
        <input name="txtsape" type="text" class="tit2" id="txtsape"  value="<?php echo $ap2pro ?>" />
      </div></td>
    <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','pri_nom') ?></span>
      <div>
        <input name="txtpnom" type="text" class="tit2" id="txtpnom"  value="<?php echo $no1pro ?>" />
      </div></td>
    <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','seg_nom') ?></span>
      <div>
        <input name="txtsnom" type="text" class="tit2" id="txtsnom"  value="<?php echo $no2pro ?>"/>
      </div></td>
    <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','sexo') ?></span><span class="estilo2">
    <div class="tit2">
      <input name="txtsexo" type="radio" value="M" <?php echo trim($sexpro)=='M' ? 'checked="checked"' :''  ?> />
      M
  <input type="radio" name="txtsexo" id="radio" value="F" <?php echo trim($sexpro)=='F' ? 'checked="checked"' :''  ?> />
      F </div>
    </span></td>
  </tr>
  <tr class="ui-widget-header" >
    <td colspan="5" align="center"><?php echo $cleguaje->Phrase('global','dt_nacimiento') ?></td>
    </tr>
  <tr class="tit1">
    <td align="left" ><?php echo $cleguaje->getField('global','fec_nac') ?>
      <div>
      <input name="txtfechanac" type="text" class="tit2" id="txtfechanac" size="15" readonly="readonly" value="<?php echo $fecnac ?>"/>
    </div></td>
    <td align="left"><?php echo $cleguaje->getField('global','pais') ?>
      <div>
        <select name="txtpaisnac" class="tit2 combo" id="txtpaisnac" style="width:160px">
          <?php
			$cmps="cod_pais,nom_pais";
			$ord='ORDER BY nom_pais ASC';
			$tabla="aux_pais";
			$cmpcnd="";
			$default=empty($lugnac) ? $cleguaje->Phrase('default','pais') : substr($lugnac,0,3);
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
		?>
          </select>
      </div></td>
    <td align="left"><?php echo $cleguaje->getField('global','dpto') ?>
      <div>
        <select name="txtdptonac" class="tit2" id="txtdptonac" style="width:160px"></select>
      </div></td>
    <td align="left"><?php echo $cleguaje->getField('global','mpio') ?>
      <div>
        <select name="txtmpionac" class="tit2" id="txtmpionac" style="width:160px"></select>
      </div></td>
    <td align="left"><?php echo $cleguaje->getField('global','pob') ?>
      <div>
        <select name="txtpobnac" class="tit2" id="txtpobnac" style="width:160px"></select>
      </div></td>
  </tr>
  <tr>
    <td colspan="5" align="center" class="ui-widget-header"><?php echo $cleguaje->Phrase('global','documento') ?></td>
  </tr>
  <tr>
          <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','num_doc') ?></span>
            <div>
              <input name="txtcc" type="text" class="tit2" id="txtcc" value="<?php echo $codprofesor ?>" size="15" />
            </div></td>
          <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','tip_doc') ?></span>
            <div>
              <select name="txttip_ident" class="tit2 combo" id="txttip_ident" style="width:160px"  >
			<?php
                $cmps="ide_tipoiden,nom_tipoiden";
                $ord='ORDER BY orden ASC';
                $tabla="aux_tipos_identificacion";
                $cmpcnd=" AND ide_doc='S'";
                $default=$idetipoiden;
                mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
            ?>
              </select>
            </div></td>
          <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','pais') ?></span>
            <div>
              <select name="txtpais" class="tit2" id="txtpais" style="width:160px" >
                <?php
		$cmps="cod_pais,nom_pais";
		$ord='ORDER BY nom_pais ASC';
		$tabla="aux_pais";
		$cmpcnd="";
		$default=empty($lugexpdoc) ? $cleguaje->Phrase('default','pais') : substr($lugexpdoc,0,3);
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
	?>
              </select>
            </div></td>
          <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','dpto') ?></span>
            <div>
              <select name="txtdpto" class="tit2" id="txtdpto" style="width:160px" ></select>
          </div></td>
          <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','mpio') ?></span>
            <div>
              <select name="txtmpio" class="tit2" id="txtmpio" style="width:160px"></select>
      </div></td>
          </tr>
  <tr class="tit1">
    <td colspan="5" align="center" class="ui-widget-header"><?php echo $cleguaje->Phrase('global','dt_corre') ?></td>
  </tr>
  <tr>
    <td colspan="5" align="center" class="tit2"><table width="100%" border="0" cellpadding="2" cellspacing="0">
      <tr>
        <td align="left" class="tit1"><?php echo $cleguaje->getField('global','pais') ?>
          <div>
            <select name="txtpaiscor" class="tit2" id="txtpaiscor" style="width:160px">
              <?php
			$cmps="cod_pais,nom_pais";
			$ord='ORDER BY nom_pais ASC';
			$tabla="aux_pais";
			$cmpcnd="";
			$default=empty($lugcorespondencia) ? $cleguaje->Phrase('default','pais') : substr($lugcorespondencia,0,3);
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
			?>
            </select>
          </div></td>
        <td align="left" class="tit1"><?php echo $cleguaje->getField('global','dpto') ?>
          <div>
            <select name="txtdptocor" class="tit2" id="txtdptocor" style="width:160px">
            </select>
          </div></td>
        <td align="left" class="tit1"><?php echo $cleguaje->getField('global','mpio') ?>
          <div>
            <select name="txtmpiocor" class="tit2" id="txtmpiocor" style="width:160px">
            </select>
          </div></td>
        <td align="left" class="tit1"><?php echo $cleguaje->getField('global','pob') ?>
          <div>
            <select name="txtpobcor" class="tit2" id="txtpobcor" style="width:160px">
            </select>
          </div></td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','celular') ?></span>
          <div>
            <input name="txtcel" type="text" class="tit2" id="txtcel" size="15" maxlength="12" value="<?php echo $celpro ?>" />
            </div></td>
        <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','telefono') ?></span>
          <div>
            <input name="txttel" type="text" class="tit2" id="txttel" size="20" maxlength="15" value="<?php echo $telpro ?>" />
            </div></td>
        <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','direccion') ?></span>
          <div>
            <input name="txtdirec" type="text" class="tit2" id="txtdirec" size="28" value="<?php echo $dirpro ?>"/>
            </div></td>
        <td align="left"><span class="tit1"><?php echo $cleguaje->getField('global','mail') ?></span>
          <div>
            <input name="txtemail" type="text" class="tit2" id="txtemail" size="28"  value="<?php echo $mailpro ?>" />
            </div></td>
        <td>&nbsp;</td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td colspan="5" align="center" class="tit2">
    <?php
		if($_REQUEST['accion']!='new')
			echo "<img src='images/guardar.png' id='accion' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar'/>";
		else
			echo "<img src='images/guardar.png' id='accion' acc='new'  alt='Guardar' width='20' height='20' class='opera' title='Guardar'/>";
	?>
    </td>
  </tr>
</table>
</form>
</body>
</html>